## AsBundle AsBundle — Description of bundles the AsComponent is shipped with. |

## Functions

const gchar * | as_bundle_kind_to_string ()
AsBundleKind | as_bundle_kind_from_string ()
AsBundle * | as_bundle_new ()
AsBundleKind | as_bundle_get_kind ()
void | as_bundle_set_kind ()
const gchar * | as_bundle_get_id ()
void | as_bundle_set_id ()

## Types and Values

#define | AS_TYPE_BUNDLE
struct | AsBundleClass
enum | AsBundleKind
| AsBundle

## Includes

    #include <appstream.h>

## Description

This class provides information contained in an AppStream bundle tag. See https://www.freedesktop.org/software/appstream/docs/chap-CatalogData.htmltag-ct-bundle for more information.

See also: AsComponent

## Functions

### as_bundle_kind_to_string ()

    const gchar *
    as_bundle_kind_to_string (AsBundleKind kind);

Converts the enumerated value to an text representation.

#### Parameters

kind | the `AsBundleKind`. |

#### Returns

string version of `kind`

Since: 0.8.0

### as_bundle_kind_from_string ()

    AsBundleKind
    as_bundle_kind_from_string (const gchar *bundle_str);

Converts the text representation to an enumerated value.

#### Parameters

bundle_str | the string. |

#### Returns

a AsBundleKind or `AS_BUNDLE_KIND_UNKNOWN` for unknown

### as_bundle_new ()

    AsBundle *
    as_bundle_new (void);

Creates a new AsBundle.

#### Returns

a AsBundle.

[transfer full]

Since: 0.10

### as_bundle_get_kind ()

    AsBundleKind
    as_bundle_get_kind (AsBundle *bundle);

Gets the bundle kind.

#### Parameters

bundle | an AsBundle instance. |

#### Returns

the AsBundleKind

Since: 0.10

### as_bundle_set_kind ()

    void
    as_bundle_set_kind (AsBundle *bundle,
                        AsBundleKind kind);

Sets the bundle kind.

#### Parameters

bundle | an AsBundle instance. |
kind | the AsBundleKind, e.g. `AS_BUNDLE_KIND_LIMBA`. |

Since: 0.10

### as_bundle_get_id ()

    const gchar *
    as_bundle_get_id (AsBundle *bundle);

Gets the ID for this bundle.

#### Parameters

bundle | an AsBundle instance. |

#### Returns

ID, e.g. "foobar-1.0.2"

Since: 0.10

### as_bundle_set_id ()

    void
    as_bundle_set_id (AsBundle *bundle,
                      const gchar *id);

Sets the ID for this bundle.

#### Parameters

bundle | an AsBundle instance. |
id | the URL. |

Since: 0.10

## Types and Values

### AS_TYPE_BUNDLE

    #define AS_TYPE_BUNDLE (as_bundle_get_type ())

### struct AsBundleClass

    struct AsBundleClass {
    	GObjectClass parent_class;
    };

### enum AsBundleKind

The bundle type.

#### Members

AS_BUNDLE_KIND_UNKNOWN | Type invalid or not known |
AS_BUNDLE_KIND_PACKAGE | A native package (currently not used) |
AS_BUNDLE_KIND_LIMBA | A Limba bundle |
AS_BUNDLE_KIND_FLATPAK | A Flatpak bundle |
AS_BUNDLE_KIND_APPIMAGE | An AppImageKit bundle |
AS_BUNDLE_KIND_SNAP | A Snap/Snappy bundle |
AS_BUNDLE_KIND_TARBALL | A (maybe compressed) tarball. |
AS_BUNDLE_KIND_CABINET | Cabinet firmware deployment |

### AsBundle

    typedef struct _AsBundle AsBundle;